package com.ruoyi.warehouse.service;

import java.util.List;
import com.ruoyi.warehouse.domain.WarehouseArea;

public interface IWarehouseAreaService
{
    public List<WarehouseArea> selectWarehouseAreaList(WarehouseArea warehouseArea);
    public List<WarehouseArea> selectWarehouseAreaAll();
    public WarehouseArea selectWarehouseAreaById(Long id);
    public boolean checkAreaCodeUnique(WarehouseArea warehouseArea);
    public int insertWarehouseArea(WarehouseArea warehouseArea);
    public int updateWarehouseArea(WarehouseArea warehouseArea);
    public int deleteWarehouseAreaByIds(Long[] ids);
}
